Subject: Re: bug#16253: 24.3.50; Irrelevant warnings from gnutls

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 20 Jan 2014 12:19:52 -0800

Ted Zlatanov <[email-masked]> writes:

> The URL library can't trap these.  GnuTLS considers them highest
> priority, so blocking them out would block most useful log information.

Useful to whom?  It's probably useful when developing applications that
talk TLS, but it's not useful to the user who's just trying to read a
web page.

If you're reading a page, and you're loading a picture that fails, Emacs
should display a "failed download" image, not spew TLS-level errors to
the user.  The user isn't interested.

So I think that, basically, no TLS errors should be displayed to the
user.  At least I haven't seen one yet that's been useful to me as a
user.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/